Subject: [MMUSIC] New draft discussion 4566bis IANA issues

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 15 Oct 2014 10:08:03 +0000

Hi everyone

4566bis draft had major changes in the last revision. It is pending WG's review (See Paul K.' email dated Sept. 23rd).

4566bis had other open issues as listed in the tracker.
http://trac.tools.ietf.org/wg/mmusic/trac/report/1

For all the IANA related matters, I just submitted a new draft addressing tickets 15, 16, 17, 18 and 19.
https://datatracker.ietf.org/doc/draft-begen-mmusic-rfc4566bis-iana-updates/

Please review this draft as the chairs will likely take an action on it in the next meeting. It addresses all the issues we have identified so far in the IANA registries for the SDP. Once we agree on these changes, we can either publish that draft right away (and keep 4566bis open for a bit longer) or move all the IANA changes to the 4566bis document and everything gets published together. That is a rather minor issues. Most importantly, we need reviews and approvals for these IANA changes.

There is another draft that will change the IANA registry structure for SDP parameters and attributes (draft-ietf-mmusic-sdp-mux-attributes). To minimize the load on the IANA folks, we need to decide on these changes soon and schedule things carefully.

Any questions/comments, post to the list.

-acbegen

Begin forwarded message:

> From: <[email-masked]>
> Subject: New Version Notification for draft-begen-mmusic-rfc4566bis-iana-updates-00.txt
> Date: October 15, 2014 at 11:57:56 AM GMT+2
> To: Ali Begen <[email-masked]>, "Ali C. Begen" <[email-masked]>
> 
> 
> A new version of I-D, draft-begen-mmusic-rfc4566bis-iana-updates-00.txt
> has been successfully submitted by Ali Begen and posted to the
> IETF repository.
> 
> Name:		draft-begen-mmusic-rfc4566bis-iana-updates
> Revision:	00
> Title:		IANA Registry Updates for RFC 4566bis
> Document date:	2014-10-15
> Group:		Individual Submission
> Pages:		5
> URL:            http://www.ietf.org/internet-drafts/draft-begen-mmusic-rfc4566bis-iana-updates-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-begen-mmusic-rfc4566bis-iana-updates/
> Htmlized:       http://tools.ietf.org/html/draft-begen-mmusic-rfc4566bis-iana-updates-00
> 
> 
> Abstract:
>   The Session Description Protocol (SDP) specification is currently
>   being revised.  There are a number of issues that have been
>   identified in the IANA registries related to the SDP protocol (These
>   are tracked in the issue tracker).  This document has the goal of
>   addressing these issues by making the necessary changes in the IANA
>   registries and registration procedures.
> 
>   The changes and updates listed in this draft are submitted in this
>   individual draft rather than the 4566bis draft because (i) the
>   4566bis draft has seen quite a number of changes recently, which
>   require a detailed review and further revisions would make the review
>   process difficult, and (ii) the changes and updates listed in this
>   draft are all IANA related matters.  If this draft gets published
>   separately, it will update RFC 4566 or the RFC resulting from the
>   4566bis draft.  An alternative option is to include the whole text in
>   the 4566bis draft once the changes and updates are agreed.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Christian Groves <[email-masked]>
Date: Wed, 15 Oct 2014 22:29:26 +1100

Hello Ali,

Thanks for doing the draft. I think having the "usable nettype values" 
is an improvement.

With regards to the list of address types, the IANA registry is still 
missing network "TN" and address type "RFC2543" from RFC2848. It should 
be added for completeness.

Regards, Christian

On 15/10/2014 9:08 PM, Ali C. Begen (abegen) wrote:
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 15 Oct 2014 12:10:52 +0000

On Oct 15, 2014, at 1:29 PM, Christian Groves <[email-masked]> wrote:

> Hello Ali,
> 
> Thanks for doing the draft. I think having the "usable nettype values" is an improvement.

Thanks,

> 
> With regards to the list of address types, the IANA registry is still missing network "TN" and address type "RFC2543" from RFC2848. It should be added for completeness.

Do you remember why it was omitted in the first place?

---

From: Christian Groves <[email-masked]>
Date: Thu, 16 Oct 2014 07:14:21 +1100

Hello Ali,

No I don't know why it wasn't registered. I suspect it was forgotten as 
the IANA considerations were buried in an Appendix and 14 years ago the 
processes weren't as robust as they are today.

It seems there's also some attributes that weren't registered e.g. 
a=phone-content, a=clir, a=Q763-nature, a=Q763-plan, a=Q763-INN, 
a=require. It also wants to register the PROTO values "voice, fax" and 
"pager". These don't appear in the IANA proto registry either.

I don't have any particular interest in PINT. I stumbled across it when 
I went digging when I noticed the E164 problem.

Regards,
Christian